Community Conundrum 27: Stacks of Questions is live! Read More

DSS startup failed on Mac Os El Capitan

Level 1
DSS startup failed on Mac Os El Capitan

Dear experts and community,

I have been trying to install the free version of DataIku on my Mac Book, mounting the operating system Mac Os X El Capitan 10.11.6. I also installed Java as requested, from the official dmg file.

Unfortunately, when launching DSS, the startup fails. The log of the error is here attached [*].

Does anyone have an idea of how I could solve this issue?

Thanks in advance,

Giorgia

[*] Starting Data Science Studio.app

dssHome:/Users/giorgiarauco/Library/DataScienceStudio/dss_home dssBin:/Users/giorgiarauco/Library/DataScienceStudio/dss_home/bin/dss

Starting Java check

/Applications/DataScienceStudio.app/Contents/Resources/kit/scripts/_find-java.sh

[Install] [+] Using Java at /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java : java version "1.8.0_261"

[Install] /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java

[Install] EOF reached

[Java check] EOF reached

[Java check] Exception reading from handle *** -[NSConcreteFileHandle availableData]: No such process

Java check terminated with status 0

dss-version does not exist, installing

[Install] *********************************************

*           Dataiku DSS installer           *

*********************************************

[Install] [+] Creating data directory: /Users/giorgiarauco/Library/DataScienceStudio/dss_home

[Install] [+] Saving installation log to /Users/giorgiarauco/Library/DataScienceStudio/dss_home/run/install.log

[Install] [+] Using Java at /Library/Internet Plug-Ins/JavaAppletPlugin.plugin/Contents/Home/bin/java : java version "1.8.0_261"

[Install] [+] Checking required dependencies

[Install] + Detected OS distribution : osx 10.11

[Install] *** OS distribution not supported *** osx 10.11

[Install]

[-] Dependency check failed

[-] You can install required dependencies with:

[-]    sudo -i "/Applications/DataScienceStudio.app/Contents/Resources/kit/scripts/install/install-deps.sh" -without-java

[-] You can also disable this check with the -n installer flag

[install] EOF reached

[install] EOF reached

DSS installer terminated with status 1

DSS installer failed , fatal error

0 Kudos
1 Reply
Dataiker
Dataiker

Hi Grauco,

The issue is that you are using an outdated MacOS version (10.11) that is no longer supported by DSS, as can be seen by the following error in your stack track here: 

 

[Install] *** OS distribution not supported *** osx 10.11

 


Instead, you will need to upgrade to MacOS 10.12 or newer, like mentioned in our Requirements page. I hope that this helps!

Best,

Andrew

0 Kudos
Labels (2)